FROM python:3.7-alpine
WORKDIR /code
RUN mkdir thumbnailer
ENV FLASK_APP thumbnailer/api/api.py
ENV FLASK_RUN_HOST 0.0.0.0
RUN apk add --no-cache gcc musl-dev linux-headers zlib-dev jpeg-dev libjpeg
COPY ./api/requirements.txt requirements.txt
RUN pip install -r requirements.txt
COPY ./__init__.py ./thumbnailer
COPY ./api ./thumbnailer/api
COPY ./shared ./thumbnailer/shared
CMD ["flask", "run"]

